Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql.jdbc
Class JdbcTimeUUID

    java.lang.Object
      org.apache.cassandra.cql.jdbc.AbstractJdbcType<java.util.UUID>
          org.apache.cassandra.cql.jdbc.AbstractJdbcUUID
              org.apache.cassandra.cql.jdbc.JdbcTimeUUID

    public class JdbcTimeUUID

extends AbstractJdbcUUID

Field Summary
`static JdbcTimeUUID` | `instance`

Method Summary
`java.util.UUID` | `compose(java.nio.ByteBuffer bytes)`
`java.nio.ByteBuffer` | `decompose(java.util.UUID value)`
`java.lang.String` | `getString(java.nio.ByteBuffer bytes)`

Methods inherited from class org.apache.cassandra.cql.jdbc.AbstractJdbcUUID
`getJdbcType, getPrecision, getScale, getType, isCaseSensitive, isCurrency, isSigned, needsQuotes, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final JdbcTimeUUID instance

Method Detail

### getString

    public java.lang.String getString(java.nio.ByteBuffer bytes)

  Specified by:
    `getString` in class `AbstractJdbcType<java.util.UUID>`

### compose

    public java.util.UUID compose(java.nio.ByteBuffer bytes)

  Specified by:
    `compose` in class `AbstractJdbcType<java.util.UUID>`

### decompose

    public java.nio.ByteBuffer decompose(java.util.UUID value)

  Specified by:
    `decompose` in class `AbstractJdbcType<java.util.UUID>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation